import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNull;
import static org.junit.jupiter.api.Assertions.assertSame;

import org.junit.jupiter.api.Test;

public class BinaryWffTest {
	
	@Test
	public void testBinaryWff() {
	    PropVar p = new PropVar("P");
	    PropVar q = new PropVar("Q");
	    BinaryWff binaryWff = new BinaryWff(p, q);
		assertSame(p, binaryWff.getLeft());
		assertSame(q, binaryWff.getRight());
		assertNull(binaryWff.getOp());
		assertEquals("(P null Q)", binaryWff.toString());
	}

	@Test
	public void testSetOp() {
        BinaryWff binaryWff = new BinaryWff(new PropVar("P"), new PropVar("Q"));
        assertNull(binaryWff.getOp());
        
        binaryWff.setOp(Operator.AND);
        assertSame(Operator.AND, binaryWff.getOp());
        assertEquals("(P & Q)", binaryWff.toString());
	}

}
